<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class Gebaeude extends Datamodul
{
  
  public $name;
  public $strasse;
  public $ort;
  public $hausmeister1;
  public $hausmeister2;
  public $hausmeister3;
  
  
  public $aussenstelle;

  
  public $hausmadrnr;
  public $hinweis1;
  public $hinweis2;
  public $email;
  public $internet;
  public $progheftname1;
  public $progheftname2;
  
  
  public $anfraumbez;
  public $telefon;
  public $fax;
  public $mobiltel;
  public $bus;
  public $bahn;
  public $sortierfeld;

  public $anfahrtlink;
  public $anfahrttext;
  public $barrierefrei;
  public $openstreetmapmlat;
  public $openstreetmapmlon;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'hausmAdrNr':
      case 'hausmadrnr':
      case 'sortierfeld':
        return \DatamodulVarType::TYPE_INT;
      case 'barrierefrei':
        return \DatamodulVarType::TYPE_BOOL_WF;
    }
  }

  public function getFotoTyp(): ?string
  {
    return \Foto::TYP_GEBAEUDE;
  }
}